Subject: bug#6430: Emacs WINDOWS truncates exit status of processes to 8 bits

From: Óscar Fuentes <[email-masked]>
Date: Thu, 16 Jun 2016 06:13:46 +0200

Eli Zaretskii <[email-masked]> writes:

> We only solve real-life problems in Emacs, not academical ones.  Life
> is too hard for anything else.

The MS toolchain (to name just a case that we could expect to be used
from Emacs) outputs quite a few exit codes larger than 255. If the user
is interested on detecting one of those codes, he will be out of luck.

The fact that there is just one bug report about this limitation of
Emacs possibly shows that users are only interested on differentiating
success from failure, zero from non-zero exit codes.